Kerbal Space Program - Bug #765

Texture Res setting not working well with pngs, causing RAM bloating.
06/07/2013 07:40 PM - rditto48801

Status: Moot Start date: 06/07/2013
Severity: Low % Done: 0%
Assignee:

Category: Camera

Target version:

Version: 0.20.2 Language: English (US)
Platform: Win32 Mod Related: No
Expansion:

Description

Apparent Bug:
In KSP 0.20.2, the Texture Res Graphics setting appears to have limited or no apparent affect in reducing how much RAM png
based mods use up, which is causing issues since KSP seems to fully convert pngs to an uncompressed form on startup.

e Two mods | tested (the largest being B9 Aerospace v3, and the smallest being CORE Anvil 1.6.2), each seemed to use up as
much RAM on 1/8 Texture Res as they did at Full Texture Res.

e Of two other mods in my testing, at 1/8 Texture Res, RAM usage vs. Full Texture Res only dropped by 33% in one case
(Nukemod), and 50% in another case (LLL by Lack, which also has the biggest jump from base file size to actual RAM used).

¢ Under such situations, other mods, ones using mbm textures, had RAM usage reduced by upwards of 90% on 1/8 Texture Res.
Even the monster 400 MB KW Rocketry is squashed down by 90% on 1/8th Texture Res, which really makes the png Texture
Res issue stick out more. Another mainly mbm texture mod | tested was KSPX, at 1/8 Res was reduced by roughly 75-80%
RAM used.

Reproducing:
It is effectively 100% reproducible for me, much to my dismay, using more or less any mod with mainly png files.

Some extra info.

¢ | did a fair bit of testing on the issue to narrow things down what | originally thought was a crash issue or memory bloat problem.

¢ | troubleshot the problem into the ground on the support forums, in a topic | made of KSP 0.20.2 with PNGs causing KSP to
have excessive memory usage that lead to 'out of memory' crashes in situations where they should not have been occurring.

¢ As mentioned already, the issue does not appear to affect mbm textures, which appear to be normally affected by the Texture
Res setting.

e This issue did not occur in KSP 0.19.1. The Texture Res setting worked normally in 0.19.1. | still have my instance of 0.19.1,
and did a quick test using B9 Aerospace 2.5, which is slightly larger than v3, with effective RAM usage reduced by 80% with
Texture Res at 1/8. That sticks out since v3 for 0.20.2 is supposed to be more compact/efficient. As stated before, B9
Aerospace v3 is one of the two mods that seems to use up as much RAM at 1/8 Texture Res as it does at Full Texture Res.

¢ | noticed possible signs of this to a lesser extent in KSP 0.20.0, but | had no 'large' png using mods at the time, and so had no
'unusual' crashes caused by the apparent 'png memory bloat'.

Of personal note, due to my system specs, this issue has a major impact on KSP's performance for me, as mods | could easily play
on KSP 0.19.1 with little issue now will crash KSP 0.20.2 on startup due to what | originally thought was some sort of 'memory bloat',
which led to me troubleshooting the issue so much.

Game Info:

KSP 0.20.2, Windows version, downloaded from KSP store.

KPS's BuildID contents: build id = 1862013-05-30_16-29-46

KSP is located within C:\Games

KSP is usually at 1024x768 full screen, but a lot of my testing/troubleshooting and more recently gameplay has KSP windowed so |
could monitor RAM usage via Task Manager.

System Info:

Windows XP 32 bit SP3

CPU: AMD Athlon 64 X2 5200+ (1.71 Ghz single core speed?)

RAM: 4GB RAM DDR2 (3.25 GB usable, average of 2.4 to 2.6 GB free when playing KSP)

Graphics: HIS Radeon HD 4670 IceQ PCI-E graphics card with dedicated 512 MB GDDRS3 (no shared memory), desktop at
1024x768.
Audio: Sound Blaster Audigy SE
DirectX: 9c (originally via the redistributable package with basically 'everything' for DirectX 9c)
My Anti-Virus does has never caused any issues for KSP.

History

#1 - 06/10/2013 10:31 PM - rditto48801

A quick update.

Something | somehow missed before, that | didn't notice until working on a small craft a little earlier while zoomed in close as possible.

Even at 1/8 texture res settings, mod parts using png textures are still 'full res' in the VAB/SPH, compared to low res textures of parts using mbm files
that were affected by the texture res setting.

So parts with pngs are apparently not just hogging up a lot of memory as if a raw uncompressed format, KSP is also not reducing their effective
resolution at all when the graphics settings are set for lower resolution textures.

#2 - 06/13/2013 10:04 AM - rditto48801

Another update.
Something | saw on the KSP forums, mentioned by shaw and MOARdV, that KSP is likely not creating a mipmap/full mipmap chains for PNGs, and
that the Texture LOD (Bias) does not work due to this, causing KSP to always use the highest quality possible regardless of texture quality setting.

#3 - 07/27/2015 06:04 PM - Squelch
- Platform Win32 added
- Platform deleted (Windows)

#4 - 11/17/2015 03:09 PM - sal_vager
- Status changed from New to Moot

- Severity changed from High to Low

- % Done changed from 0 to 100

Hi, please be mindful of the bug reporting guidelines and priority table when reporting issues, thank you.

http://bugs.kerbalspaceprogram.com/projects/ksp/wiki

Also, this issue is now moot as KSP now uses .DDS textures, and used .TGA textures before that.
